import { Action } from "@/state/actions/base";
import { Student } from "@/data";

export enum UserActions {
    Login = 'LOGIN',
    Logout = 'LOGOUT'
}

export interface LoginAction extends Action<UserActions.Login> {
    token: string;
    student: Student;
}

export type LogoutAction = Action<UserActions.Logout>;

export type UserAction = LoginAction | LogoutAction;
