import { Nullable } from "@/helpers";
import { emptyBranchOffice, emptyCompany, Internship, Mentor } from "@/data";

export const emptyMentor: Mentor = {
    phone: null,
    email: "",
    name: "",
    surname: ""
}

export const emptyInternship: Nullable<Internship> = {
    intern: null,
    endDate: null,
    startDate: null,
    type: null,
    program: null,
    isAccepted: false,
    lengthInWeeks: 0,
    mentor: emptyMentor,
    company: emptyCompany,
    hours: 0,
    office: emptyBranchOffice,
}
