import { Action } from "@/state/actions/base";
import { Locale } from "@/state/reducer/settings";

export enum SettingActions {
    SetLocale = "SET_LOCALE",
}

export interface SetLocaleAction extends Action<SettingActions.SetLocale> {
    locale: Locale
}

export type SettingsAction = SetLocaleAction;
